import React from "react";
import Image from "next/image";
import Nav from "@/components/Nav";
import Footer from "@/components/Footer";
import styles from "./about.module.scss";
import about from "./asset/about.png";
import aboutIcon1 from "./asset/about_icon1.png";
import aboutIcon2 from "./asset/about_icon2.png";
import aboutIcon3 from "./asset/about_icon3.png";
import aboutIcon4 from "./asset/about_icon4.png";

const AboutDetail: React.FC = () => {
  return (
    <>
      <div className={styles.container}>
        <Nav title={"关于我们"} />
        <div className={styles.content}>
          <div className={styles.topContent}>
            <div className={styles.topContentLeft}>
              <div className={styles.aboutEn}>ABOUT US</div>
              <div className={styles.aboutCn}>关于我们</div>
              <div className={styles.line}></div>
              <div className={styles.textWrapper}>
                <div className={styles.text}>高潜（北京）咨询有限公司于2012年在北京成立</div>
                <div className={styles.text}>
                  公司拥有数十位专家顾问，以助力中国高潜力企业快速发展为己任，提供从战略形成到战略落地的一揽子解决方案，通过战略管理、业务运营、组织建设、人才文化的有机连接，助力企业战略有效落地。
                </div>
                <div className={styles.text}>
                  拥有成熟的理论基础、丰富的实践案例、强大的定制解决能力。通过专注、极致、高效的服务，获得客户的一致认可。
                </div>
                <div className={styles.text}>是中国优秀咨询公司的杰出代表，拥有全球视野、本土实践。</div>
              </div>
            </div>
            <Image alt="right" width={512} height={348} className={styles.topContentRight} src={about} />
          </div>
          <div className={styles.bottomContent}>
            <div className={styles.item}>
              <Image alt="icon" width={44} src={aboutIcon1} />
              <div className={styles.title}>中西合璧，本土实践</div>
              <div className={styles.text}>
                兼具国际顶尖咨询公司顾问经验，及知名领先企业核心高管或管理专家经历，重视理论与实践相结合。
              </div>
            </div>
            <div className={styles.line}></div>
            <div className={styles.item}>
              <Image alt="icon" width={44} src={aboutIcon2} />
              <div className={styles.title}>定制方案，个性服务</div>
              <div className={styles.text}>
                为企业量身定制解决方案，提供端到端的服务，注重上下衔接、左右协同，以解决实际问题为己任。
              </div>
            </div>
            <div className={styles.line}></div>
            <div className={styles.item}>
              <Image alt="icon" width={44} src={aboutIcon3} />
              <div className={styles.title}>长期陪伴，忠于客户</div>
              <div className={styles.text}>
                极度关注客户口碑，保持长期合作关系，助力企业持久发展;顾问热爱咨询行业，稳定性高，客户互动频繁。
              </div>
            </div>
            <div className={styles.line}></div>
            <div className={styles.item}>
              <Image alt="icon" width={44} src={aboutIcon4} />
              <div className={styles.title}>赋能客户，共同成长</div>
              <div className={styles.text}>
                咨询过程中帮助客户发现人才、培养人才，通过与客户方团队共创的方式，相互汲取能量，激发创新活力。
              </div>
            </div>
          </div>
        </div>
        <Footer />
      </div>
    </>
  );
};
export default AboutDetail;
