import type { Metadata } from "next";
import type { Viewport } from "next";
import "./globals.css";
import { CommonProvider } from "@/context/commonContext";

export const viewport: Viewport = {
  width: "device-width",
  initialScale: 1,
  maximumScale: 1,
  userScalable: false,
};

export const metadata: Metadata = {
  title: "高潜咨询-战略闭环管理-公司战略咨询-助力中国高潜企业加速发展",
  description:
    "高潜咨询-提供战略解码,战略咨询,战略闭环管理,战略研讨会,战略澄清会,战略解码引导,高潜组织解码,RIDER模型,胜任力模型,战略有效性调研服务,助力中国高潜企业加速发展",
  keywords: [
    "战略解码",
    "战略咨询",
    "战略闭环管理",
    "战略研讨会",
    "战略澄清会",
    "战略解码引导",
    "高潜组织解码",
    "RIDER模型",
    "胜任力模型",
    "战略有效性调研",
  ],
};

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <html lang="en">
      <head>
        <meta name="renderer" content="webkit" />
        <meta name="force-rendering" content="webkit" />
        <meta httpEquiv="X-UA-Compatible" content="IE=Edge,chrome=1" />
        <meta httpEquiv="X-UA-Compatible" content="IE=8" />
      </head>
      <body>
        <CommonProvider>{children}</CommonProvider>
      </body>
    </html>
  );
}
