import React from "react";
import Image from "next/image";
import styles from "./footer.module.scss";

const Footer: React.FC = () => {
  return (
    <div className={styles.footer}>
      <div className={styles["footer-top"]}>
        <div className={styles["footer-container"]}>
          <div className={styles["container-row"]}>
            <div className={styles["col-md-3"]}>
              <div className={styles.content1}>公司信息</div>
              <div className={styles.detail}>
                <div>
                  <a className={styles.link1} href="/about">
                    关于我们
                  </a>
                </div>
                <div>
                  <a className={styles.link2} href="/contactUs">
                    联系我们
                  </a>
                </div>
              </div>
            </div>
            <div className={styles["col-md-3"]}>
              <div className={styles.content1}>法律条款</div>
              <div className={styles.detail}>
                <div>
                  <a className={styles.link1} href="/privacy">
                    隐私政策
                  </a>
                </div>
                <div>
                  <a className={styles.link2}>产品使用条款</a>
                </div>
              </div>
            </div>
            <div className={styles["col-md-3"]}>
              <div className={styles.content1}>备案信息</div>
              <div className={styles.detail}>
                <div>
                  <a className={styles.link1} href="https://beian.miit.gov.cn">
                    京ICP备1805770号
                  </a>
                </div>
              </div>
            </div>
            <div className={styles["col-md-3"]}>
              <div className={styles.content1}>联系方式</div>
              <div className={styles.detail}>
                <div className={styles.link1}>李女士 13810542631</div>
                <div className={styles.link1}>北京市朝阳区东三环富力双子座A座601</div>
                <div>
                  <Image
                    alt="qrcode"
                    width={100}
                    height={100}
                    priority={true}
                    className={styles.img}
                    src={"https://hi-po.oss-cn-beijing.aliyuncs.com/img/web/qrcode2.jpg"}
                  ></Image>
                  <Image
                    alt="qrcode"
                    width={100}
                    height={100}
                    priority={false}
                    className={styles.img}
                    src={"https://hi-po.oss-cn-beijing.aliyuncs.com/img/web/qrcode.jpg"}
                  ></Image>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div className={styles["footer-bottom"]}>
        <div className={styles["footer-row"]}>
          <div className={styles["col-md-6"]}>
            <div className={styles["content1"]}>Copyright © 2022 HIPO, Inc. All rights reserved.</div>
          </div>
        </div>
      </div>
    </div>
  );
};

export default Footer;
